%define	name		cal3d
%define	version		0.9.1
%define	release		3mdk
%define	lib_name_orig	lib%{name}
%define lib_major	0.9.1
%define lib_name	%mklibname %{name} %{lib_major}
%define	lib_name_devel	%mklibname %{name} %{lib_major} -d

Name:		%{name}
Summary:	A skeletal based character animation library
Version:	%{version}
Release:	%{release}
Group:		System/Libraries
License:	LGPL
URL:		http://cal3d.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Cal3D is a skeletal based character animation library. It is platform-
independent and not bound to a specific graphic API. Originally designed to
be used in a 3d client for the Worldforge project (www.worldforge.org)
it evolved into a stand-alone product that can be used in many different
projects.

%package -n	%{lib_name}
Summary:	A skeletal based character animation library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with Cal3D.

%package -n	%{lib_name_devel}
Summary:	Headers for developing programs that will use Cal3D
Group:		Development/C++
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name_devel}
This package contains the headers that programmers will need to develop
applications which will use Cal3D.

%prep
%setup -q

%build
./autogen.sh
%configure
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall
%{__rm} -rf $RPM_BUILD_ROOT%{_bindir}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root,0755)
%{_libdir}/*.la
%{_libdir}/%{lib_name_orig}-%{lib_major}*.so

%files -n %{lib_name_devel}
%defattr(-,root,root,0755)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/%{lib_name_orig}.so
%{_libdir}/%{lib_name_orig}.la
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue Jun 15 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9.1-3mdk
- rebuild

* Sun Dec 28 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9.1-2mdk
- fix so name (from Luca Berra)

* Tue Dec 23 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9.1-1mdk
- 0.9.1

* Tue Jul 08 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.8-3mdk
- fix unowned dir reported by Oliviers distriblint bot

* Tue May 06 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.8-2mdk
- rebuild for rpm-4.2
- use %mklibname for devel package

* Sat Apr 26 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.8-1mdk
- spec file fixes
- from Jean-Baptiste Lamy <jiba@tuxfamily.org> 0.8-1mdk
  - First RPM release
